oracle.jcr

## Interface OracleWorkspace

All Superinterfaces:
  Workspace

Deprecated.
OracleWorkspace is a JCR session's view of a repository workspace.

    public interface OracleWorkspace
    extends Workspace

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `commit()` Deprecated. Explicitly commits the in-progress local transaction.
`void` `rollback()` Deprecated. Explicitly rolls back the in-progress local transaction.

### Methods inherited from interface javax.jcr.Workspace

`clone, copy, copy, getAccessibleWorkspaceNames, getImportContentHandler, getName, getNamespaceRegistry, getNodeTypeManager, getObservationManager, getQueryManager, getSession, importXML, move, restore`

### Method Detail

#### commit

    void commit()
         throws RepositoryException

Deprecated.
Explicitly commits the in-progress local transaction.

Throws:
  `RepositoryException` - if the operation fails

#### rollback

    void rollback()
           throws RepositoryException

Deprecated.
Explicitly rolls back the in-progress local transaction.

Throws:
  `RepositoryException` - if the operation fails

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.